from django.shortcuts import get_object_or_404, render
from django.http import HttpResponseRedirect, HttpResponse
from django.core.urlresolvers import reverse
from django.views import generic

from . models import Artikel


class IndexView(generic.ListView):
    template_name = 'artikel/index.html'
    context_object_name = 'artikel_list'

    def get_queryset(self):
        return Artikel.objects.order_by('name')


class DetailView(generic.DetailView):
    model = Artikel
    template_name = 'artikel/detail.html'


class ResultsView(generic.DetailView):
    model = Artikel
    template_name = 'artikel/results.html'


def barcode(request, barcode):
    try:
        a = Artikel.objects.get(barcode=barcode)
    except Artikel.DoesNotExist:
        a = Artikel(aktiv=False, barcode=barcode, name=barcode, ek=0.0, vk=0.0)
        a.save()
    return HttpResponseRedirect(reverse('artikel:detail', args=(a.id,)))
