from __future__ import absolute_import
from django.db import models

from artikel.models import Artikel
from karte.models import Karte


class Transaktion(models.Model):
    timestamp = models.DateTimeField(auto_now_add=True)
    karte = models.ForeignKey(Karte)

    def __str__(self):
        return '%s [%s] [%s]' % (self.id, self.timestamp, self.karte)

    class Meta:
        db_table = "transaktion"
        verbose_name = "Transaktion"
        verbose_name_plural = "Transaktionen"


class Position(models.Model):
    transaktion = models.ForeignKey(Transaktion)
    artikel = models.ForeignKey(Artikel)
    anzahl = models.IntegerField(default=0)
    ek = models.DecimalField(max_digits=8, decimal_places=2)
    vk = models.DecimalField(max_digits=8, decimal_places=2)

    def __str__(self):
        return '%d-%08d: %s * %s' % (self.transaktion.id, self.id, self.anzahl, self.artikel)

    class Meta:
        db_table = "position"
        verbose_name = "Position"
        verbose_name_plural = "Positionen"
